{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "fisapp-ui": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular/build:application",
          "options": {
            "outputPath": "dist/fisapp-ui",
            "index": "src/index.html",
            "browser": "src/main.ts",
            "polyfills": [
              "zone.js"
            ],
            "tsConfig": "tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "src/favicon.ico",
              "src/assets",
              "src/config",
              "src/manifest.webmanifest"
            ],
            "styles": [
              "angularlib/styles/main.theme.scss",
              "angularlib/styles/pink.theme.scss",
              "src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "8000kb",
                  "maximumError": "10mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "32kb",
                  "maximumError": "64kb"
                }
              ],
              "outputHashing": "all",
              "serviceWorker": "ngsw-config.json"
            },
            "leave-prod": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "8000kb",
                  "maximumError": "10mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "32kb",
                  "maximumError": "64kb"
                }
              ],
              "outputHashing": "all",
              "assets": [
                "src/favicon.ico",
                "src/assets",
                "src/config",
                "src/manifest.webmanifest",
                {
                  "input": "src/src.leave",
                  "output": "",
                  "glob": "*"
                },
                {
                  "input": "src/src.leave",
                  "output": "",
                  "glob": "*/*"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/app/menu/menu.ts",
                  "with":"src/app/menu/menu.leave.ts"
                }
              ],
              "serviceWorker": "ngsw-config.json"
            },
            "quotation-prod": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "8000kb",
                  "maximumError": "10mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "32kb",
                  "maximumError": "64kb"
                }
              ],
              "outputHashing": "all",
              "assets": [
                "src/favicon.ico",
                "src/assets",
                "src/config",
                "src/manifest.webmanifest",
                {
                  "input": "src/src.quotation",
                  "output": "",
                  "glob": "*"
                },
                {
                  "input": "src/src.quotation",
                  "output": "",
                  "glob": "*/*"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/app/menu/menu.ts",
                  "with":"src/app/menu/menu.quotation.ts"
                }
              ],
              "serviceWorker": "ngsw-config.json"
            },
            "maf-quot-prod": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "8000kb",
                  "maximumError": "10mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "32kb",
                  "maximumError": "64kb"
                }
              ],
              "outputHashing": "all",
              "assets": [
                "src/favicon.ico",
                "src/assets",
                "src/config",
                "src/manifest.webmanifest",
                {
                  "input": "src/src.maf.quotation",
                  "output": "",
                  "glob": "*"
                },
                {
                  "input": "src/src.maf.quotation",
                  "output": "",
                  "glob": "*/*"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/app/menu/menu.ts",
                  "with":"src/app/menu/menu.quotation.ts"
                }
              ],
              "serviceWorker": "ngsw-config.json"
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true,
              "assets": [
                "src/favicon.ico",
                "src/assets",
                "src/config",
                "src/manifest.webmanifest",
                {
                  "input": "src/src.test",
                  "output": "",
                  "glob": "*/*"
                },
                {
                  "input": "src/src.test/assets/icons",
                  "output": "assets/icons",
                  "glob": "*.png"
                },
                {
                  "input": "src/assets/models",
                  "output": "assets/models",
                  "glob": "**/*"
                },
                {
                  "input": "src/assets/wasm",
                  "output": "assets/wasm",
                  "glob": "**/*"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/dependencies/dp-ui/dp.service.ts",
                  "with":"src/dependencies/dp-ui/dp.service.t.ts"
                },
                {
                  "replace": "src/dependencies/angularlib/environments/environment.ts",
                  "with":"src/dependencies/angularlib/environments/environment.t.ts"
                }
              ],
              "serviceWorker": "ngsw-config.json"
            }
          },
          "defaultConfiguration": "development"
        },
        "serve": {
          "builder": "@angular/build:dev-server",
          "options": {
            "host": "0.0.0.0",
            "port": 4200,
            "ssl": true,
            "sslCert": "cert/localhost+1.pem",
            "sslKey": "cert/localhost+1-key.pem"
          },
          "configurations": {
            "production": {
              "buildTarget": "fisapp-ui:build:production"
            },
            "development": {
              "buildTarget": "fisapp-ui:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular/build:extract-i18n",
          "options": {
            "buildTarget": "fisapp-ui:build"
          }
        },
        "test": {
          "builder": "@angular/build:karma",
          "options": {
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ],
            "tsConfig": "tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/styles.scss"
            ],
            "scripts": []
          }
        }
      }
    }
  },
  "cli": {
    "analytics": false
  },
  "schematics": {
    "@schematics/angular:component": {
      "type": "component"
    },
    "@schematics/angular:directive": {
      "type": "directive"
    },
    "@schematics/angular:service": {
      "type": "service"
    },
    "@schematics/angular:guard": {
      "typeSeparator": "."
    },
    "@schematics/angular:interceptor": {
      "typeSeparator": "."
    },
    "@schematics/angular:module": {
      "typeSeparator": "."
    },
    "@schematics/angular:pipe": {
      "typeSeparator": "."
    },
    "@schematics/angular:resolver": {
      "typeSeparator": "."
    }
  }
}
